[kaffe] CVS kaffe (dalibor): Fixed build problem on i386-cygwin
Kaffe CVS
cvs-commits at kaffe.org
Sun Jun 13 11:38:03 PDT 2004
PatchSet 4841
Date: 2004/06/13 17:19:58
Author: dalibor
Branch: HEAD
Tag: (none)
Log:
Fixed build problem on i386-cygwin
2004-06-13 Dalibor Topic <robilad at kaffe.org>,
* configure.ac:
Check for <sys/mman.h>.
* config/config-mem.h:
Include <sys/mman.h> if it is available.
* configure,
config/config.h.in:
Regenerated.
Reported by: Bjrn Wennberg <bjornw at bouvet.no>
Members:
ChangeLog:1.2408->1.2409
configure:1.330->1.331
configure.ac:1.29->1.30
config/config-mem.h:1.9->1.10
config/config.h.in:1.104->1.105
Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.2408 kaffe/ChangeLog:1.2409
--- kaffe/ChangeLog:1.2408 Fri Jun 11 18:38:30 2004
+++ kaffe/ChangeLog Sun Jun 13 17:19:58 2004
@@ -1,3 +1,17 @@
+2004-06-13 Dalibor Topic <robilad at kaffe.org>,
+
+ * configure.ac:
+ Check for <sys/mman.h>.
+
+ * config/config-mem.h:
+ Include <sys/mman.h> if it is available.
+
+ * configure,
+ config/config.h.in:
+ Regenerated.
+
+ Reported by: Bjørn Wennberg <bjornw at bouvet.no>
+
2004-06-11 Dalibor Topic <robilad at kaffe.org>,
* config/alpha/threads.h,
Index: kaffe/configure
diff -u kaffe/configure:1.330 kaffe/configure:1.331
--- kaffe/configure:1.330 Thu Jun 10 18:19:27 2004
+++ kaffe/configure Sun Jun 13 17:19:59 2004
@@ -38706,6 +38706,156 @@
done
+for ac_header in sys/mman.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------ ##
+## Report this to kaffe at kaffe.org ##
+## ------------------------------ ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
for ac_header in sys/param.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
Index: kaffe/configure.ac
diff -u kaffe/configure.ac:1.29 kaffe/configure.ac:1.30
--- kaffe/configure.ac:1.29 Thu Jun 10 18:19:35 2004
+++ kaffe/configure.ac Sun Jun 13 17:20:06 2004
@@ -1015,6 +1015,7 @@
AC_CHECK_HEADERS([string.h])
AC_CHECK_HEADERS([sys/filio.h])
AC_CHECK_HEADERS([sys/ioctl.h])
+AC_CHECK_HEADERS([sys/mman.h])
AC_CHECK_HEADERS([sys/param.h])
AC_CHECK_HEADERS([sys/poll.h])
AC_CHECK_HEADERS([sys/select.h])
Index: kaffe/config/config-mem.h
diff -u kaffe/config/config-mem.h:1.9 kaffe/config/config-mem.h:1.10
--- kaffe/config/config-mem.h:1.9 Tue Jun 24 19:26:01 2003
+++ kaffe/config/config-mem.h Sun Jun 13 17:20:09 2004
@@ -31,10 +31,13 @@
#include <memory.h>
#endif
-#if defined(HAVE_MMAP)
+#if defined(HAVE_SYS_TYPES_H)
#include <sys/types.h>
+#endif /* defined(HAVE_SYS_TYPES_H) */
+
+#if defined(HAVE_SYS_MMAN_H)
#include <sys/mman.h>
-#endif
+#endif /* defined(HAVE_SYS_MMAN_H) */
#if !defined(HAVE_MEMCPY)
void bcopy(void*, void*, size_t);
Index: kaffe/config/config.h.in
diff -u kaffe/config/config.h.in:1.104 kaffe/config/config.h.in:1.105
--- kaffe/config/config.h.in:1.104 Mon Jun 7 19:14:14 2004
+++ kaffe/config/config.h.in Sun Jun 13 17:20:09 2004
@@ -517,6 +517,9 @@
/* Define to 1 if you have the <sys/ipc.h> header file. */
#undef HAVE_SYS_IPC_H
+/* Define to 1 if you have the <sys/mman.h> header file. */
+#undef HAVE_SYS_MMAN_H
+
/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'.
*/
#undef HAVE_SYS_NDIR_H
More information about the kaffe
mailing list